### Function

# GLib PtrArray sized_new

#### Declaration

    GPtrArray*
    g_ptr_array_sized_new (
      guint reserved_size
    )

#### Description

Creates a new `GPtrArray` with `reserved_size` pointers preallocated and a reference count of 1. This avoids frequent reallocation, if you are going to add many pointers to the array. Note however that the size of the array is still 0.

This function is not directly available to language bindings.

#### Parameters

`reserved_size`

  Type: `guint`

  Number of pointers preallocated.

#### Return value

Type: An array of `gpointer`

The new `GPtrArray`.

The data is owned by the called function.